Bug 41695 - saml/serviceprovider defines multiple properties with identifies=True
saml/serviceprovider defines multiple properties with identifies=True
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: SAML
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Johannes Keiser
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-29 01:02 CEST by Florian Best
Modified: 2017-07-05 13:06 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments
patch (2.58 KB, patch)
2016-06-29 01:02 CEST, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2016-06-29 01:02:23 CEST
Created attachment 7774 [details]
patch

saml/serviceprovider defines the following properties as identifies=True - while it shouldn't: ['singleLogoutService', 'attributesNameFormat', 'simplesamlNameIDAttribute', 'serviceProviderOrganizationName', 'LDAPattributes', 'privacypolicyURL', 'AssertionConsumerService', 'NameIDFormat', 'serviceproviderdescription']
Comment 1 Johannes Keiser univentionstaff 2017-07-03 14:25:37 CEST
(In reply to Florian Best from comment #0)
> Created attachment 7774 [details]
> patch
> 
> saml/serviceprovider defines the following properties as identifies=True -
> while it shouldn't: ['singleLogoutService', 'attributesNameFormat',
> 'simplesamlNameIDAttribute', 'serviceProviderOrganizationName',
> 'LDAPattributes', 'privacypolicyURL', 'AssertionConsumerService',
> 'NameIDFormat', 'serviceproviderdescription']

Applied rebased patch:

r 80777
univention-saml (4.0.14-5) 
* Bug #41695: Applied patch from Florian Best - Fix definition of multiple
identifies=True properties

YAML: r 80779
Comment 2 Johannes Keiser univentionstaff 2017-07-03 14:30:44 CEST
r 80780
univention-saml (4.0.14-6) 
* Bug #41695: Applied additional patch - cleanup
Comment 3 Florian Best univentionstaff 2017-07-03 14:42:58 CEST
OK: removed the identifies flags from properties that aren't identifying the object
OK: removal of obsolete code, which works automatically due to the above change
OK: YAML (adjusted in r80781)
Comment 4 Janek Walkenhorst univentionstaff 2017-07-05 13:06:28 CEST
<http://errata.software-univention.de/ucs/4.2/85.html>